Dell OpenManage 6.3 for Ubuntu

Whit Armstrong armstrong.whit at gmail.com
Thu Aug 5 08:27:28 CDT 2010


Michael,

I apologize. I ran the purge on my workstation instead of the server.
I'll keep you posted.

-Whit


On Thu, Aug 5, 2010 at 9:21 AM,  <Michael_E_Brown at dell.com> wrote:
> Did you purge the dellomsa package? The error message below says that we are conflicting with it, which would strongly indicate to me that the sara packages are not gone.
> --
> Michael
>
> -----Original Message-----
> From: Whit Armstrong [mailto:armstrong.whit at gmail.com]
> Sent: Thursday, August 05, 2010 8:16 AM
> To: Brown, Michael E
> Cc: linux-poweredge-Lists
> Subject: Re: Dell OpenManage 6.3 for Ubuntu
>
> I did that.
>
> Then I removed the init.d files by hand (the ones that apt was
> complaining about).
>
> Installed again, and still got the same errors.
>
> I'll recheck that the sara packages are completely gone, but I don't
> think that's the issue.
>
> -Whit
>
>
> On Thu, Aug 5, 2010 at 9:12 AM,  <Michael_E_Brown at dell.com> wrote:
>> Ah. These new packages were *not* designed to upgrade the existing dellomsa sara pkg. Please remove any existing dellomsa package before installing the debs.
>> --
>> Michael
>> ________________________________________
>> From: Whit Armstrong [armstrong.whit at gmail.com]
>> Sent: Thursday, August 05, 2010 8:04 AM
>> To: linux-poweredge-Lists
>> Cc: Brown, Michael E
>> Subject: Re: Dell OpenManage 6.3 for Ubuntu
>>
>> has anyone else seen the following apt errors when installing srvadmin-all?
>>
>> dpkg: error processing
>> /var/cache/apt/archives/srvadmin-deng_5.9.3-1_amd64.deb (--unpack):
>>  trying to overwrite '/etc/init.d/dataeng', which is also in package
>> dellomsa 0:6.0.1-10
>>
>> dpkg: error processing
>> /var/cache/apt/archives/srvadmin-hapi_5.9.3-1_amd64.deb (--unpack):
>>  trying to overwrite '/etc/init.d/dsm_sa_ipmi', which is also in
>> package dellomsa 0:6.0.1-10
>>
>> dpkg: error processing
>> /var/cache/apt/archives/srvadmin-omacore_4.3.0-1_amd64.deb (--unpack):
>>  trying to overwrite '/etc/init.d/dsm_om_shrsvc', which is also in
>> package dellomsa 0:6.0.1-10
>>
>> Thanks,
>> Whit
>>
>> full log:
>>
>> warmstrong at research:~$ sudo apt-get install srvadmin-all
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> The following extra packages will be installed:
>>  compat-libstdc libargtable2-0 srvadmin-base srvadmin-deng
>> srvadmin-hapi srvadmin-idrac srvadmin-idrac-ivmcli
>> srvadmin-idrac-vmcli srvadmin-idracadm srvadmin-isvc srvadmin-iws
>> srvadmin-jre srvadmin-omacore srvadmin-omcommon srvadmin-omilcore
>> srvadmin-rac-components srvadmin-rac4 srvadmin-rac4-populator
>>  srvadmin-rac5 srvadmin-racadm4 srvadmin-racadm5 srvadmin-racdrsc
>> srvadmin-racsvc srvadmin-smcommon srvadmin-smweb srvadmin-storage
>> srvadmin-storage-populator srvadmin-storelib srvadmin-storelib-sysfs
>> srvadmin-sysfsutils srvadmin-webserver srvadmin-xmlsup
>> The following NEW packages will be installed:
>>  compat-libstdc libargtable2-0 srvadmin-all srvadmin-base
>> srvadmin-deng srvadmin-hapi srvadmin-idrac srvadmin-idrac-ivmcli
>> srvadmin-idrac-vmcli srvadmin-idracadm srvadmin-isvc srvadmin-iws
>> srvadmin-jre srvadmin-omacore srvadmin-omcommon srvadmin-omilcore
>> srvadmin-rac-components srvadmin-rac4
>>  srvadmin-rac4-populator srvadmin-rac5 srvadmin-racadm4
>> srvadmin-racadm5 srvadmin-racdrsc srvadmin-racsvc srvadmin-smcommon
>> srvadmin-smweb srvadmin-storage srvadmin-storage-populator
>> srvadmin-storelib srvadmin-storelib-sysfs srvadmin-sysfsutils
>> srvadmin-webserver srvadmin-xmlsup
>> 0 upgraded, 33 newly installed, 0 to remove and 4 not upgraded.
>> Need to get 60.7MB of archives.
>> After this operation, 198MB of additional disk space will be used.
>> Do you want to continue [Y/n]? Y
>> WARNING: The following packages cannot be authenticated!
>>  srvadmin-omilcore srvadmin-deng srvadmin-hapi srvadmin-isvc
>> srvadmin-omcommon srvadmin-xmlsup srvadmin-omacore compat-libstdc
>> srvadmin-storelib-sysfs srvadmin-storelib srvadmin-smcommon
>> srvadmin-storage libargtable2-0 srvadmin-sysfsutils
>> srvadmin-storage-populator srvadmin-base srvadmin-jre srvadmin-iws
>>  srvadmin-smweb srvadmin-webserver srvadmin-racadm4 srvadmin-racsvc
>> srvadmin-rac4-populator srvadmin-rac-components srvadmin-racdrsc
>> srvadmin-rac4 srvadmin-racadm5 srvadmin-rac5 srvadmin-idracadm
>> srvadmin-idrac-vmcli srvadmin-idrac-ivmcli srvadmin-idrac srvadmin-all
>> Install these packages without verification [y/N]? y
>> Get:1 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-omilcore 6.3.0ubuntu1 [20.2kB]
>> Get:2 http://linux.dell.com/repo/community/deb/latest/  srvadmin-deng
>> 5.9.3-1 [325kB]
>> Get:3 http://linux.dell.com/repo/community/deb/latest/  srvadmin-hapi
>> 5.9.3-1 [650kB]
>> Get:4 http://linux.dell.com/repo/community/deb/latest/  srvadmin-isvc
>> 5.9.3-1 [1,499kB]
>> Get:5 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-omcommon 6.3.0-1 [1,503kB]
>> Get:6 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-xmlsup 2.4.0-1 [16.3kB]
>> Get:7 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-omacore 4.3.0-1 [526kB]
>> Get:8 http://linux.dell.com/repo/community/deb/latest/  compat-libstdc
>> 5-1 [227kB]
>> Get:9 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-storelib-sysfs 2.1.0-1 [22.7kB]
>> Get:10 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-storelib 6.3.0-1 [294kB]
>> Get:11 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-smcommon 3.3.0-1 [597kB]
>> Get:12 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-storage 3.3.0-1 [494kB]
>> Get:13 http://linux.dell.com/repo/community/deb/latest/
>> libargtable2-0 12-1 [15.3kB]
>> Get:14 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-sysfsutils 1.3.0-1 [25.4kB]
>> Get:15 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-storage-populator 3.3.0-1 [583kB]
>> Get:16 http://linux.dell.com/repo/community/deb/latest/  srvadmin-base
>> 6.3.0-1 [1,376B]
>> Get:17 http://linux.dell.com/repo/community/deb/latest/  srvadmin-jre
>> 1.6.17-1 [34.5MB]
>> Get:18 http://linux.dell.com/repo/community/deb/latest/  srvadmin-iws
>> 4.3.0-1 [5,056kB]
>> Get:19 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-smweb 3.3.0-1 [12.7MB]
>> Get:20 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-webserver 6.3.0-1 [1,376B]
>> Get:21 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-racadm4 4.6.5-1 [183kB]
>> Get:22 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-racsvc 4.6.5-1 [33.1kB]
>> Get:23 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-rac4-populator 4.6.5-1 [10.0kB]
>> Get:24 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-rac-components 6.3.0-1 [40.8kB]
>> Get:25 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-racdrsc 6.3.0-1 [11.7kB]
>> Get:26 http://linux.dell.com/repo/community/deb/latest/  srvadmin-rac4
>> 4.6.5-1 [1,644B]
>> Get:27 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-racadm5 6.3.0-1 [633kB]
>> Get:28 http://linux.dell.com/repo/community/deb/latest/  srvadmin-rac5
>> 6.3.0-1 [1,462B]
>> Get:29 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-idracadm 6.3.0-1 [603kB]
>> Get:30 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-idrac-vmcli 1.0.0-1 [88.9kB]
>> Get:31 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-idrac-ivmcli 1.0.0-1 [105kB]
>> Get:32 http://linux.dell.com/repo/community/deb/latest/
>> srvadmin-idrac 6.3.0-1 [1,418B]
>> Get:33 http://linux.dell.com/repo/community/deb/latest/  srvadmin-all
>> 6.3.0-1 [1,388B]
>> Fetched 60.7MB in 1min 42s (590kB/s)
>> [master 16dcdc6] saving uncommitted changes in /etc prior to apt run
>>  Author: whit <armstrong.whit at gmail.com>
>>  1 files changed, 0 insertions(+), 1400 deletions(-)
>>  delete mode 100755 init.d/dataeng
>> Extracting templates from packages: 100%
>> Selecting previously deselected package srvadmin-omilcore.
>> (Reading database ... 308116 files and directories currently installed.)
>> Unpacking srvadmin-omilcore (from
>> .../srvadmin-omilcore_6.3.0ubuntu1_all.deb) ...
>> Unpacking srvadmin-deng (from .../srvadmin-deng_5.9.3-1_amd64.deb) ...
>> dpkg: error processing
>> /var/cache/apt/archives/srvadmin-deng_5.9.3-1_amd64.deb (--unpack):
>>  trying to overwrite '/etc/init.d/dataeng', which is also in package
>> dellomsa 0:6.0.1-10
>> dpkg-deb: subprocess paste killed by signal (Broken pipe)
>> Unpacking srvadmin-hapi (from .../srvadmin-hapi_5.9.3-1_amd64.deb) ...
>> dpkg: error processing
>> /var/cache/apt/archives/srvadmin-hapi_5.9.3-1_amd64.deb (--unpack):
>>  trying to overwrite '/etc/init.d/dsm_sa_ipmi', which is also in
>> package dellomsa 0:6.0.1-10
>> dpkg-deb: subprocess paste killed by signal (Broken pipe)
>> Selecting previously deselected package srvadmin-isvc.
>> Unpacking srvadmin-isvc (from .../srvadmin-isvc_5.9.3-1_amd64.deb) ...
>> Selecting previously deselected package srvadmin-omcommon.
>> Unpacking srvadmin-omcommon (from .../srvadmin-omcommon_6.3.0-1_amd64.deb) ...
>> Selecting previously deselected package srvadmin-xmlsup.
>> Unpacking srvadmin-xmlsup (from .../srvadmin-xmlsup_2.4.0-1_amd64.deb) ...
>> Unpacking srvadmin-omacore (from .../srvadmin-omacore_4.3.0-1_amd64.deb) ...
>> dpkg: error processing
>> /var/cache/apt/archives/srvadmin-omacore_4.3.0-1_amd64.deb (--unpack):
>>  trying to overwrite '/etc/init.d/dsm_om_shrsvc', which is also in
>> package dellomsa 0:6.0.1-10
>> dpkg-deb: subprocess paste killed by signal (Broken pipe)
>> Selecting previously deselected package compat-libstdc.
>> Unpacking compat-libstdc (from .../compat-libstdc_5-1_amd64.deb) ...
>> Selecting previously deselected package srvadmin-storelib-sysfs.
>> Unpacking srvadmin-storelib-sysfs (from
>> .../srvadmin-storelib-sysfs_2.1.0-1_amd64.deb) ...
>> Selecting previously deselected package srvadmin-storelib.
>> Unpacking srvadmin-storelib (from .../srvadmin-storelib_6.3.0-1_amd64.deb) ...
>> Selecting previously deselected package srvadmin-smcommon.
>> Unpacking srvadmin-smcommon (from .../srvadmin-smcommon_3.3.0-1_amd64.deb) ...
>> Processing triggers for ureadahead ...
>> Processing triggers for libc-bin ...
>> ldconfig deferred processing now taking place
>> Errors were encountered while processing:
>>  /var/cache/apt/archives/srvadmin-deng_5.9.3-1_amd64.deb
>>  /var/cache/apt/archives/srvadmin-hapi_5.9.3-1_amd64.deb
>>  /var/cache/apt/archives/srvadmin-omacore_4.3.0-1_amd64.deb
>> E: Sub-process /usr/bin/dpkg returned an error code (1)
>> warmstrong at research:~$
>>
>>
>> On Tue, Jul 27, 2010 at 2:20 PM,  <Michael_E_Brown at dell.com> wrote:
>>> A present for our Ubuntu customers!
>>>
>>> http://linux.dell.com/repo/community/deb/
>>> http://en.community.dell.com/dell-blogs/enterprise/b/tech-center/archive/2010/07/27/dell-openmanage-6-3-for-ubuntu.aspx
>>>
>>> We have posted some community-supported builds of Dell OpenManage 6.3 for Ubuntu. Blog post above goes into a little bit more detail.
>>>
>>> What this is: built-from-source DEB packages of OpenManage 6.3 for Ubuntu 9.10 or later. The package set exactly mirrors the layout of the RPMs.
>>>
>>> What this is NOT: officially supported. Please do not call Dell technical support with questions about these DEBs, specifically, as they will not be likely to be able to help you. Use the mailing lists instead, please.
>>>
>>> --
>>> Michael Brown
>>> Dell Linux Engineering
>>>
>>> _______________________________________________
>>> Linux-PowerEdge mailing list
>>> Linux-PowerEdge at dell.com
>>> https://lists.us.dell.com/mailman/listinfo/linux-poweredge
>>> Please read the FAQ at http://lists.us.dell.com/faq
>>>
>>
>



More information about the Linux-PowerEdge mailing list